%disp ('Iremos calcular o k de uma mola cônica')
clc
df= 0.7; %Diâmetro do fio em mm
%input('Digite o diâmetro do fio em mm:');
d1= 11; %Diâmetro menor da mola em mm
%input('Digite o diâmetro menor da mola em mm:');
d2= 24;%Diâmetro maior da mola em mm
%input('Digite o diâmetro maior da mola em mm:');
G= 80;%Módulo de cisalhamento em GPa
%input('Digite o módulo de cisalhamento em GPa:');
E= 205; %Módulo de Young em GPa
%input('Digite o módulo de Young em GPa:');
t= 580; %Tnsão de cisalhamento em MPa
%input('Digite o valor da tensão de cisalhamento em GPa:');
nb= 5; %Número de voltas
%input('Digite o número de voltas:');
x0= 50;%Comprimento inicial da mola em mm
%input('Digite o comprimento inicial da mola em mm:');
nbmax=(d2-d1)/(2*df)
k=((df^4)*G*1000)/(2*(nb+G/E)*(d2+d1)*((d2^2)+(d1^2)));
c=(d1+d2)/(2*df);
disp ('O k da mola é:')
disp(k)
fmin=(x0-29.8)*k;
fmax=x0*k;
disp('A força mínima é:')
disp(fmin)
disp('A força máxima é:')
disp(fmax)
s=((1+1/(2*c))*4*fmax*(d1+d2))/(pi*df^3);
disp('A tensão de cisalhamento é:')
disp(s);
if t> s
    disp('Essa mola não irá escoar')
end
if t< s
    disp('Essa mola irá escoar')
end

if t==s
    disp('Essa mola irá escoar')
end
    

